Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

Diff of /nouveau-pm/run-trace.sh [91cdba] .. [1d97c1] Maximize Restore

  Switch to side-by-side view

--- a/nouveau-pm/run-trace.sh
+++ b/nouveau-pm/run-trace.sh
@@ -30,14 +30,11 @@
 
 cat /sys/kernel/debug/tracing/trace_pipe > $TMPDIR/dump-downclock &
 echo "Running glxgears" > /sys/kernel/debug/tracing/trace_marker
-# XXX: send 1>/dev/null ?
-timeout 5s glxgears
+timeout 5s glxgears 2>/dev/null
 echo "Stoping glxgears" > /sys/kernel/debug/tracing/trace_marker
-
 echo "Running the monitor_downclocking"
-./monitor_downclocking 1> /sys/kernel/debug/tracing/trace_marker
-
-MONITOR_RETURN=`$?`
+./monitor_downclocking 2> /sys/kernel/debug/tracing/trace_marker
+MONITOR_RETURN=$?
 case "$MONITOR_RETURN" in
 #	[1])
 #		error ""
@@ -45,10 +42,10 @@
 	[2])
 		error "The driver is not operating in Adaptive clock state"
 		;;
-    [3])
+	[3])
 		error "The PowerMizer mode is not Adaptive"
 		;;
-    [4])
+	[4])
 		error "Timeout while waiting for the driver to reach default 2D frequencies"
 		;;
 esac
@@ -114,8 +111,8 @@
 umount /sys/kernel/debug
 
 echo "Removing temporary directories"
-rm -rf $TMPDIR/
-rm -rf $nouveau_pm_name/
+rm -rf $TMPDIR
+rm -rf $nouveau_pm_name
 
 exit 0